=== debian/changelog ===
ros-indigo-stream-manipulator-3d (0.1.7-0trusty) trusty; urgency=high

  * Updates & Bugfixes
    Bugfix: CropBox not updating Translation properly
    Add Pause/Resume functionality:
    - Pause button will block processing and all plugins, it also
    unsubscribe from input_topic.
    - Resume will resubscribe and resume all normal functionality.
    - While stream_manipulator_3d is paused you cannot modify configuration
    or plugin specific settings
    Add Saving/Loading configuration functionality:
    - Saving config to rosparams and then dumpng to yaml file
    - Loading yaml file into rosparams, then update configuration from them.
  * Add two more filter plugins
    * Add Statistical Outlier Removal Plugin
    Wrapping  of  pcl::StatisticalOutlierRemoval  filter.  StatisticalOutlierRemoval
    uses  point  neighborhood  statistics  to filter  outlier  data.  The  algorithm
    iterates through  the entire  input twice:  During the  first iteration  it will
    compute the average distance that each point has to its nearest k neighbors. The
    value of k  can be set using  nr_k_neighbors param. Next, the  mean and standard
    deviation of all  these distances are computed in order  to determine a distance
    threshold. The distance threshold will be equal to: mean + stddev_mult * stddev.
    The multiplier  for the  standard deviation can  be set  using stddev_multiplier
    parameter. During the next iteration the  points will be classified as inlier or
    outlier if  their average  neighbor distance  is below  or above  this threshold
    respectively. Outliers will then be removed from the stream. The neighbors found
    for each query point will be found amongst ALL input points.
    * Add Radius Outlier Removal Plugin
    Wrapping  of  pcl::RadiusOutlierRemoval   filter.  RadiusOutlierRemoval  filters
    points in a cloud  based on the number of neighbors  they have. Iterates through
    the entire  input once, and  for each point,  retrieves the number  of neighbors
    within a certain radius.  The point will be considered an outlier  if it has too
    few neighbors, as determined by  k_neighbors_threshold parameter. The radius can
    be changed using  radius_search param. The neighbors found for  each query point
    will be found amongst ALL points of input stream.
  * Contributors: Federico Spinelli

 -- Tabjones <fspinelli@gmail.com>  Wed, 03 Aug 2016 22:00:00 -0000

ros-indigo-stream-manipulator-3d (0.1.6-0trusty) trusty; urgency=high

  * Add some more Plugins:
    * Frustum Culling Filter Plugin
    Removes everything inside/outside a frustum,  defined by two aperture angles and
    two parallel planes.
    * Median Filter Plugin
    The  median filter  is  one of  the simplest  and  wide-spread image  processing
    filters. It is known to perform  well with "shot"/impulse noise (some individual
    pixels having extreme  values), it does not reduce contrast  across steps in the
    function  (as compared  to filters  based  on averaging),  and it  is robust  to
    outliers. Furthermore, it is simple to implement and efficient, as it requires a
    single pass over  the image. It consists  of a moving window of  fixed size that
    replaces the pixel in the center with the median inside the window.
    NOTE: This filters  only the depth (z-component) of  organized and untransformed
    (i.e., in  camera coordinates) point  clouds. An error  will be outputted  if an
    unorganized cloud is given.
    * PassThrough Filter Plugin
    PassThrough passes  points in a  cloud based  on constraints for  one particular
    field of the  point type. Iterates through the entire  input once, automatically
    filtering non-finite points and the points outside the interval specified by the
    filter limits, which applies only to the field specified by field type.
  * Contributors: Federico Spinelli

 -- Tabjones <fspinelli@gmail.com>  Thu, 28 Jul 2016 22:00:00 -0000

ros-indigo-stream-manipulator-3d (0.1.4-0trusty) trusty; urgency=high

  * Fix build errors
    Add proper catkin dependencies
  * Contributors: Federico Spinelli

 -- Tabjones <fspinelli@gmail.com>  Fri, 22 Jul 2016 22:00:00 -0000

ros-indigo-stream-manipulator-3d (0.1.2-0trusty) trusty; urgency=high



 -- Tabjones <fspinelli@gmail.com>  Thu, 21 Jul 2016 22:00:00 -0000

ros-indigo-stream-manipulator-3d (0.1.1-0trusty) trusty; urgency=high



 -- Tabjones <fspinelli@gmail.com>  Tue, 19 Jul 2016 22:00:00 -0000

ros-indigo-stream-manipulator-3d (0.1.0-0trusty) trusty; urgency=high



 -- Tabjones <fspinelli@gmail.com>  Wed, 06 Apr 2016 22:00:00 -0000
