=== debian/control ===
Source: ros-indigo-stream-manipulator-3d
Section: misc
Priority: extra
Maintainer: Tabjones <fspinelli@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-stream-manipulator-3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Description: Stream Manipulator 3D let's you subscribe to a stream of point clouds, such as those coming from sensors, and manipulate it online, republishing the modified streams.
 Input stream can be modified by applying various filters, in the order you choose.
